
Redmine - Defect #31629

Email notification not being sent to assigned user

2019-06-26 19:34 - Taylor Naungayan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 4.0.3

Description

Emails are not being sent to the assigned user on a ticket. We are using a plugin (Redmine Up Helpdesk) to pull in emails from our

server which then post replies on tickets.

If the ticket is updated through a logged in user, the email notification sends to the assigned user.

If the ticket is update through an incoming email, not email is sent.

I checked the production logs and it looks like it's failing with the ActionMailer

[ActiveJob] [ActionMailer::DeliveryJob] [6000be6e-3ef4-450b-a7ec-2c685f14cd4b] Email delivery error: 354 Start mail input; end with

<CRLF>.<CRLF>

This was working fine when we upgraded to 4.0.3 but two weeks later this started happening

We do have 2 other plugins,

Redmine Banner and RedmineUp Contacts

I am making a ticket with RedmineUp to see if this caused by their plugins as well.

Any information to what is causing this be helpful

History

#1 - 2019-07-15 21:21 - Taylor Naungayan

Can this be looked in to soon? I saw issue #31057 has a similar problem to us.

#2 - 2020-06-24 18:55 - Future Link Corporation pkgsrc team

See #32314.

#3 - 2024-06-13 08:48 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

#4 - 2024-10-22 21:03 - Bahri Ertunc

Hi Taylor,

We also use RedmineUP Helpdesk and in the same situation as you: When the system gets a reply from the customer, the incoming email message

is added to the corresponding ticket but no email notification is sent to assignee or watchers of the ticket.

Have you found the cause and solution?

Redmine version                5.0.7.stable

  Ruby version                   3.0.2-p107 (2021-07-07) [x86_64-linux-gnu]

  Rails version                  6.1.7.6

  Environment                    production

#5 - 2024-10-22 21:15 - Holger Just

Please contact the authors of the plugin you are using. As plugins can change all if Redmine's behavior, the plugin authors are responsible to make

sure their added or changed functionality works as intended.
https://www.redmine.org/issues/31057
https://www.redmine.org/issues/32314
